local xtl_cond_d_result= GAMESTATE:IsHumanPlayer(PLAYER_1)

local xtl_cond_e_result= GAMESTATE:IsHumanPlayer(PLAYER_2)

local function optional_actor(cond, actor)
	if cond then return actor end
	return Def.Actor{}
end

return Def.ActorFrame{
  Name= "xtl_actor_f",
  Def.Quad{
    Name= "xtl_actor_g",
  InitCommand= cmd(hidden,1),
  OnCommand= cmd(sleep,1000),
  },
  Def.Quad{
    Name= "xtl_actor_h",
  InitCommand= cmd(hidden,1),
  OnCommand= function(self)
			fgcurcommand = 1;
			self:queuecommand('Update');
			end,
  Update2Command= function(self)
		self:sleep(0.0166666666);
		self:queuecommand('Update');
		end,
  UpdateCommand= function(self)

			if GAMESTATE:IsCourseMode() then

				if GAMESTATE:GetSongBeat()>=0 and fgcurcommand == 1 then
					SCREENMAN:GetTopScreen():GetChild('Overlay'):hidden(1);
					if GAMESTATE:IsHumanPlayer(PLAYER_1) then
						SCREENMAN:GetTopScreen():GetChild('ScoreP1'):hidden(1);
						SCREENMAN:GetTopScreen():GetChild('LifeP1'):hidden(1);
					end
					if GAMESTATE:IsHumanPlayer(PLAYER_2) then
						SCREENMAN:GetTopScreen():GetChild('ScoreP2'):hidden(1);
						SCREENMAN:GetTopScreen():GetChild('LifeP2'):hidden(1);
					end
					fgcurcommand = fgcurcommand + 1;
				end
				
				if GAMESTATE:GetSongBeat()>=136 and fgcurcommand == 2 then
					if GAMESTATE:IsHumanPlayer(PLAYER_1) then
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):accelerate(4.235);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationz(3600);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):sleep(0.1);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):rotationz(0);
					end
					if GAMESTATE:IsHumanPlayer(PLAYER_2) then
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):accelerate(4.235);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationz(3600);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):sleep(0.1);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):rotationz(0);
					end
					fgcurcommand = fgcurcommand + 1;
				end
				
				if GAMESTATE:GetSongBeat()>=144 and fgcurcommand == 3 then
					if GAMESTATE:IsHumanPlayer(PLAYER_1) then
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):GetChild('Judgment'):hidden(1);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):GetChild('Combo'):decelerate(0.5);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):GetChild('Combo'):zoom(0);
					end
					if GAMESTATE:IsHumanPlayer(PLAYER_2) then
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):GetChild('Judgment'):hidden(1);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):GetChild('Combo'):decelerate(0.5);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):GetChild('Combo'):zoom(0);
					end
					fgcurcommand = fgcurcommand + 1;
				end
				
				if GAMESTATE:GetSongBeat()>=191 and fgcurcommand == 4 then
					if GAMESTATE:IsHumanPlayer(PLAYER_1) then
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):GetChild('Judgment'):hidden(0);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):GetChild('Combo'):decelerate(0.3);
						SCREENMAN:GetTopScreen():GetChild('PlayerP1'):GetChild('Combo'):zoom(1);
					end
					if GAMESTATE:IsHumanPlayer(PLAYER_2) then
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):GetChild('Judgment'):hidden(0);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):GetChild('Combo'):decelerate(0.3);
						SCREENMAN:GetTopScreen():GetChild('PlayerP2'):GetChild('Combo'):zoom(1);
					end
					fgcurcommand = fgcurcommand + 1;
				end
				
				
				if GAMESTATE:IsHumanPlayer(PLAYER_1) then
					p1score = SCREENMAN:GetTopScreen():GetChild('ScoreP1'):GetChild('ScoreDisplayPercentage Percent'):GetChild('PercentP1'):GetText();
					p1score = tostring(tonumber(string.sub(p1score,1,string.len(p1score) - 1) * 100));
				end
				if GAMESTATE:IsHumanPlayer(PLAYER_2) then
					p2score = SCREENMAN:GetTopScreen():GetChild('ScoreP2'):GetChild('ScoreDisplayPercentage Percent'):GetChild('PercentP2'):GetText();
					p2score = tostring(tonumber(string.sub(p2score,1,string.len(p2score) - 1) * 100));
				end
				
				MESSAGEMAN:Broadcast('EightBit');
				
				
				
				
			end
			
			
    
			self:queuecommand('Update2');
   
		end,
  },
  optional_actor(xtl_cond_d_result,
  Def.ActorFrame{
    Name= "xtl_actor_i",
  OnCommand= cmd(x,SCREEN_CENTER_X-190;y,SCREEN_TOP-10;sleep,53.65;linear,0.5;addy,70;sleep,12.912;linear,0.5;addy,-70),
    Def.Sprite{
      Name= "xtl_actor_j",
    Font= _eurostile normal,
    OnCommand= cmd(x,SCREEN_CENTER_X + -360;diffuse,#FF0000;horizalign,left;shadowlength,0),
    Text= 1UP,
    },
    Def.Sprite{
      Name= "xtl_actor_k",
    EightBitMessageCommand= function(self)
				if p1score then
					self:settext(tostring(p1score));
				end
			end,
    Font= _eurostile normal,
    OnCommand= cmd(x,SCREEN_CENTER_X + -280;horizalign,left;shadowlength,0),
    Text= ,
    },
  }),
  optional_actor(xtl_cond_e_result,
  Def.ActorFrame{
    Name= "xtl_actor_l",
  OnCommand= cmd(x,SCREEN_CENTER_X+130;y,SCREEN_TOP-10;sleep,53.65;linear,0.5;addy,70;sleep,12.912;linear,0.5;addy,-70),
    Def.Sprite{
      Name= "xtl_actor_m",
    Font= _eurostile normal,
    OnCommand= cmd(x,SCREEN_CENTER_X + -360;diffuse,#00FF00;horizalign,left;shadowlength,0),
    Text= 2UP,
    },
    Def.Sprite{
      Name= "xtl_actor_n",
    EightBitMessageCommand= function(self)
				if p2score then
					self:settext(tostring(p2score));
				end
			end,
    Font= _eurostile normal,
    OnCommand= cmd(x,SCREEN_CENTER_X + -280;horizalign,left;shadowlength,0),
    Text= ,
    },
  }),
}
